【活用ガイド】

JVNDB-2005-000117

ht://Dig の htsearch におけるクロスサイトスクりプティングの脆弱性

概要

ht://Dig には htsearch を呼び出す URL に対するサニタイズ処理が適切に行われていないため、クロスサイトスクリプティング攻撃が可能である脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

CVSS v2 による深刻度
基本値: 6.8 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的
影響を受けるシステム


レッドハット
  • Red Hat Enterprise Linux 4 (ws) 
  • Red Hat Enterprise Linux 3 (as) 
  • Red Hat Enterprise Linux 4 (as) 
  • Red Hat Enterprise Linux 2.1 (es) 
  • Red Hat Enterprise Linux 3 (ws) 
  • Red Hat Enterprise Linux 2.1 (ws) 
  • Red Hat Enterprise Linux 2.1 (as) 
  • Red Hat Enterprise Linux 3 (es) 
  • Red Hat Enterprise Linux 4 (es) 

想定される影響

ユーザのブラウザ上で任意のスクリプトを実行される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

レッドハット
CWEによる脆弱性タイプ一覧  CWEとは?

共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2005-0085
参考情報

  1. National Vulnerability Database (NVD) : CVE-2005-0085
  2. Secunia Advisory : SA14255
  3. SecurityFocus : 12442
  4. ISS X-Force Database : 18650
更新履歴

  • [2007年04月01日]
      掲載